- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GenericMatcher Struct Template Reference

GenericMatcher manages the dispatch of pattern matching. More...

Inherited by KRatExpMatcher.

List of all members.

## Public Member Functions
U | match (const T &ast)
| Effectively performs the match.

## Detailed Description

### template<class Self, class T, class U, class F>
struct vcsn::algebra::GenericMatcher< Self, T, U, F >

GenericMatcher manages the dispatch of pattern matching.

GenericMatcher delegates the dispatch of pattern matching to a function-object: if you want to write an algorithm based on pattern matching, inherit from this class.

Definition at line 110 of file krat_exp_pattern.hh.

## Member Function Documentation

U match | ( | const T & | ast | ) | `[inline]`

Effectively performs the match.

Parameters:

  | ast | The object to perform the match on.

See also:
  DispatchVisitor::DispatchVisitor

Definition at line 128 of file krat_exp_pattern.hxx.

Referenced by vcsn::constant_term().